aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/config/ltq-vdsl-app/files/10_atm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/config/ltq-vdsl-app/files/10_atm.sh')
-rwxr-xr-xpackage/network/config/ltq-vdsl-app/files/10_atm.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/package/network/config/ltq-vdsl-app/files/10_atm.sh b/package/network/config/ltq-vdsl-app/files/10_atm.sh
new file mode 100755
index 0000000000..abfb735923
--- /dev/null
+++ b/package/network/config/ltq-vdsl-app/files/10_atm.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+[ "$DSL_NOTIFICATION_TYPE" = "DSL_STATUS" ] && \
+[ "$DSL_TC_LAYER_STATUS" = "ATM" ] && \
+! grep -q "ltq_atm_vr9" /proc/modules || exit 0
+
+logger -p daemon.notice -t "dsl-notify" "Switching to TC-Layer ATM"
+
+if grep -q "ltq_ptm_vr9" /proc/modules ; then
+ logger -p daemon.notice -t "dsl-notify" "Loading ATM driver while EFM/PTM driver is loaded is not possible. Reboot is needed."
+ exit
+fi
+
+modprobe ltq_atm_vr9
+
+/etc/init.d/br2684ctl reload